{ Unit: Unit1
  ===========================================================================

  The contents of this file are subject to the Bluecave Public License V 1.1
  (the "License"). You may not copy or use this file, in either source code
  or executable form, except in compliance with the License. You may obtain
  a copy of the License at http://www.bluecave.net/licenses/.

  Software distributed under the License is distributed on an "AS IS" basis,
  WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
  for the specific language governing rights and limitations under the
  License.

  Copyright (C) 2001 Bluecave Software. All Rights Reserved.
  http://www.bluecave.net/

  Copyright (C) 2001 Jouni Airaksinen. All Rights Reserved.
  http://Mintus.Codefield.com/ -- Mintus@Codefield.com

  ===========================================================================

  Unit description:

    Very simple APITimer demo.

  History:

    2001-11-28: Initial version

  =========================================================================== }

{$I DFS.inc}
{$I BcDirectives.inc}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, BcAPITimer;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    BcAPITimer1: TBcAPITimer;
    Label2: TLabel;
    BcAPITimer2: TBcAPITimer;
    Button1: TButton;
    Button2: TButton;
    procedure BcAPITimer1Timer(Sender: TObject);
    procedure BcAPITimer2Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BcAPITimer1Timer(Sender: TObject);
begin
  BcAPITimer1.Tag := BcAPITimer1.Tag + 1;
  Label1.Caption := IntToStr(BcAPITimer1.Tag);
end;

procedure TForm1.BcAPITimer2Timer(Sender: TObject);
begin
  BcAPITimer2.Tag := BcAPITimer2.Tag + 2;
  Label2.Caption := IntToStr(BcAPITimer2.Tag);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  BcAPITimer1.Enabled := not BcAPITimer1.Enabled;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  BcAPITimer2.Enabled := not BcAPITimer2.Enabled;
end;

end.
